Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Contact Lists

List Contact Lists

GET
/v1/contact-lists

Returns a paginated list of contact Lists.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

id[in]?string

Filters by any of the supplied id values.

id[not_in]?string

Filters resources by id using the not_in operator.

external_id?string

Identifier assigned by an external system.

external_id[neq]?string

Filters out resources with this external id.

external_id[in]?string

Filters by any of the supplied external id values.

external_id[is_null]?true

Filters for resources where external id is null.

external_id[not_null]?true

Filters for resources where external id is not null.

name?string

Human-readable name of the resource.

updated_at?string

Timestamp when the resource was last updated.

Formatdate-time
updated_at[gte]?string

Filters resources by updated at using the gte operator.

Formatdate-time
updated_at[lte]?string

Filters resources by updated at using the lte operator.

Formatdate-time
updated_at[gt]?string

Filters resources by updated at using the gt operator.

Formatdate-time
updated_at[lt]?string

Filters resources by updated at using the lt operator.

Formatdate-time
limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/contact-lists"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "key": "string",      "external_id": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}